import { Meta, StoryObj } from '@storybook/react';
import { Form } from './Form.jsx';

declare const meta: Meta<typeof Form>;
export default meta;
type Story = StoryObj<typeof Form>;
export declare const Default: Story;
export declare const WithDefaultValues: Story;
export declare const WithValidationSchema: Story;
export declare const WithValidationError: Story;
export declare const WithValidationErrorAndNestedFields: Story;
export declare const Disabled: Story;
export declare const Loading: Story;
export declare const AutomaticLoadingState: Story;
/**
 * If you need to conditionally render a field based on the value of another field, you can access
 * the form context object using react-hook-form hooks. In this case, we use the `useWatch` hook to
 * access the value of a specific field, but you can also use `react-hook-form#useFormContext` to
 * access the full form context.
 */
export declare const ConditionalField: Story;
/**
 * Sometimes you need to be able to access the form context object but it's inconvenient to split
 * your fields out into a separate component. As an alternative to accessing context via a hook, you
 * can instead pass a render function as `children` and get access to the form context via the
 * `props.context` property passed to the child.
 */
export declare const ConditionallyRenderedFieldRenderProp: Story;
export declare const ProgrammaticSubmission: Story;
export declare const ProgrammaticSubmissionWithValidationError: Story;
//# sourceMappingURL=Form.stories.d.ts.map